
public class ObjectAdapter implements Set
{
    private Stack myStack;
    private Stack auxStack;
    
    /**
     * Constructor for objects of class ObjectAdapter
     */
    public ObjectAdapter(Stack s)
    {
       myStack= s;
    }

    
     public int size(){return myStack.size();}
     public boolean isEmpty(){return myStack.isEmpty();}
     
     public boolean member(int x){
         boolean res=false;
         int topElement;
         auxStack = new StackImpL(myStack.size());
         while(!res & ! myStack.isEmpty()) {
            topElement= myStack.top(); 
            myStack.pop();
            res = (x==topElement);
            auxStack.push(topElement);
         }
         
         while(!auxStack.isEmpty()){
             myStack.push(auxStack.top()); 
             auxStack.pop();
            }
         return res;
     } 
     public void remove(int x){
         boolean removed=false;
         int topElement;
         while(! removed & ! myStack.isEmpty()) {
            topElement= myStack.top();
             myStack.pop();
            if (x==topElement)
                removed = true;
                else auxStack.push(topElement);
         }
         while(!auxStack.isEmpty()){
             myStack.push(auxStack.top());
             auxStack.pop();
            }
         return;
     }
    public void add(int x){
        if (!member(x)) myStack.push(x);
     }//add x to the set if x is not a member of the set 
}
